version: "3"

services:
  node-app:
    build: .
    image: node-app
    environment:
      - MONGO_URI=mongodb+srv://root:helloroot@cluster0.0qlbr.mongodb.net/orders?retryWrites=true&w=majority
      - PORT=3000
      - SECRET_KEY=MY_SECRET_KEY
      - JWT_ACCESS_EXPIRATION_MINUTES=9000
      - JWT_REFRESH_EXPIRATION_DAYS=30

    ports:
      - "3000:3000"
    depends_on:
      - mongodb
    volumes:
      - .:/usr/src/node-app
    networks:
      - node-network

  mongodb:
    image: mongo:4.2.1-bionic
    ports:
      - "27017:27017"
    volumes:
      - dbdata:/data/db
    networks:
      - node-network

volumes:
  dbdata:

networks:
  node-network:
    driver: bridge
